Bug 80608 - gnome desktop leaks memory in the icon code
gnome desktop leaks memory in the icon code
Product: Red Hat Linux
Classification: Retired
Component: gnome-desktop (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Stein
Depends On:
  Show dependency treegraph
Reported: 2002-12-28 12:31 EST by Brian Stein
Modified: 2013-03-01 00:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-02 17:04:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
leak fix (566 bytes, patch)
2002-12-28 12:32 EST, Arjan van de Ven
no flags Details | Diff
another leak fixed (961 bytes, patch)
2002-12-28 12:40 EST, Arjan van de Ven
no flags Details | Diff

  None (edit)
Description Arjan van de Ven 2002-12-28 12:31:32 EST
simple memory leak:
the icon filename gets replaced in the hashtable only conditional, but in case
the condition doesn't hit the memory for the pathname needs to be freed since
it's no longer used afterwards. Patch with fix attached.
Comment 1 Arjan van de Ven 2002-12-28 12:32:24 EST
Created attachment 88965 [details]
leak fix
Comment 2 Arjan van de Ven 2002-12-28 12:40:03 EST
Created attachment 88966 [details]
another leak fixed

The same file had another leak where a strdup()'d string didn't get freed in
one place; smaller leak (typical 6 bytes per time) but still...
Comment 3 Havoc Pennington 2003-01-02 17:04:15 EST
Ah, looks fixed in CVS already. Should be fine in Rawhide (gnome-desktop 2.1.x, 
well the relevant files have moved to libgnomeui apparently)

Note You need to log in before you can comment on or make changes to this bug.